Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Read_Stream Class Reference

This class is a factory for starting off asynchronous reads on a stream. More...

`#include <WIN32_Asynch_IO.h>`

Inheritance diagram for ACE_WIN32_Asynch_Read_Stream

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Read_Stream:

[legend]
List of all members.

## Public Methods
| ACE_WIN32_Asynch_Read_Stream (ACE_WIN32_Proactor *win32_proactor)
| Constructor.
int | read (ACE_Message_Block &message_block, u_long bytes_to_read, const void *act, int priority, int signal_number = 0)
| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>.
virtual | ~ACE_WIN32_Asynch_Read_Stream (void)
| Destructor.
int | open (ACE_Handler &handler, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor)
int | cancel (void)
ACE_Proactor* | proactor (void) const
| Return the underlying proactor.
## Protected Methods
int | shared_read (ACE_WIN32_Asynch_Read_Stream_Result *result)
| This is the method which does the real work and is there so that the ACE_Asynch_Read_File class can use it too.

## Detailed Description

This class is a factory for starting off asynchronous reads on a stream.

Once <open> is called, multiple asynchronous <read>s can started using this class. An ACE_Asynch_Read_Stream::Result will be passed back to the <handler> when the asynchronous reads completes through the callback.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Read_Stream::ACE_WIN32_Asynch_Read_Stream ( | ACE_WIN32_Proactor * win32_proactor )

| Constructor.

ACE_WIN32_Asynch_Read_Stream::~ACE_WIN32_Asynch_Read_Stream ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int ACE_WIN32_Asynch_Read_Stream::cancel ( | void )

| This cancels all pending accepts operations that were issued by the calling thread. The function does not cancel asynchronous operations issued by other threads. Reimplemented from ACE_WIN32_Asynch_Operation. Reimplemented in ACE_WIN32_Asynch_Read_File.

int ACE_WIN32_Asynch_Read_Stream::open ( | ACE_Handler & handler,
| ACE_HANDLE handle,
| const void * completion_key,
| ACE_Proactor * proactor )

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), will be called on the <handler> to get the correct handle. Reimplemented from ACE_WIN32_Asynch_Operation. Reimplemented in ACE_WIN32_Asynch_Read_File.

ACE_Proactor * ACE_WIN32_Asynch_Read_Stream::proactor ( | void ) const

| Return the underlying proactor. Reimplemented from ACE_WIN32_Asynch_Operation. Reimplemented in ACE_WIN32_Asynch_Read_File.

int ACE_WIN32_Asynch_Read_Stream::read ( | ACE_Message_Block & message_block,
| u_long bytes_to_read,
| const void * act,
| int priority,
| int signal_number = 0 )

| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>. Reimplemented in ACE_WIN32_Asynch_Read_File.

int ACE_WIN32_Asynch_Read_Stream::shared_read ( | ACE_WIN32_Asynch_Read_Stream_Result * result )`[protected]`

| This is the method which does the real work and is there so that the ACE_Asynch_Read_File class can use it too.

The documentation for this class was generated from the following files:

- WIN32_Asynch_IO.h
- WIN32_Asynch_IO.cpp